import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class FilterService {
    private router;
    filters: any;
    constructor(router: Router);
    applyFilterToRoute(url: any, filter: any): void;
    getFiltersFromRoute(url: any, filterFormGroup: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterService>;
}
